logo
AuthorizationLogin
Authorization

Login

Authenticate and receive JWT tokens.

curl -X POST "https://api.gpuniq.com/v1/auth/login" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "email": "user@example.com",
  "password": "example_string"
}'
{
  "data": {
    "access_token": "example_string",
    "refresh_token": "example_string",
    "user": {
      "id": 123,
      "email": "user@example.com",
      "username": "John Doe"
    }
  }
}
POST
/v1/auth/login
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Responses

dataobject